%bcond_with perl_File_MimeInfo_enables_optional_test
%bcond_with perl_File_MimeInfo_enables_stdin
%bcond_without perl_File_MimeInfo_enables_usage

Summary:        Determine file type and open application
Name:           perl-File-MimeInfo
Version:        0.33
Release:        4%{?dist}
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/File-MimeInfo
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MICHIELB/File-MimeInfo-%{version}.tar.gz
BuildRequires:  coreutils, make, perl-generators, perl-interpreter, perl(strict), perl(warnings), perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
BuildRequires:  perl(bytes), perl(Carp), perl(Encode), perl(Encode::Locale), perl(Exporter), perl(Fcntl)
BuildRequires:  perl(File::BaseDir) >= 0.03, perl(File::DesktopEntry) >= 0.04, perl(File::Spec)
# Optional run-time:
%if %{with perl_File_MimeInfo_enables_stdin}
BuildRequires:  perl(IO::Scalar)
%endif
%if %{with perl_File_MimeInfo_enables_usage}
BuildRequires:  perl(Pod::Usage)
%endif
# Tests:
BuildRequires:  perl(FindBin), perl(File::Temp), perl(Test::More) >= 0.88, desktop-file-utils, shared-mime-info
%if %{with perl_File_MimeInfo_enables_optional_test}
# Optional tests:
%if !%{defined perl_bootstrap}
BuildRequires:  perl(Path::Tiny)
%endif
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.00
%endif
Requires:       perl(File::BaseDir) >= 0.03
Requires:       perl(File::DesktopEntry) >= 0.04
%if %{with perl_File_MimeInfo_enables_stdin}
Recommends:     perl(IO::Scalar)
%endif
%if %{with perl_File_MimeInfo_enables_usage}
Recommends:     perl(Pod::Usage)
%endif
Recommends:     shared-mime-info

BuildArch:      noarch

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((File::BaseDir|File::DesktopEntry)\\)$

%description
This module can be used to determine the mime type of a file. It tries to
implement the freedesktop specification for a shared MIME database.



%prep
%autosetup -n File-MimeInfo-%{version}
rm -f t/11mimeinfo.t
chmod -x t/default/binary_file
chmod -x t/magic/application_x-executable
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!\s*perl}{$Config{startperl}}' "$F"
    chmod +x "$F"
done



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}
%{_fixperms} %{buildroot}/*



%check
unset EXTENDED_TESTING
make test



%files
%doc Changes
%{_bindir}/mimeopen
%{_bindir}/mimetype
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 22 2023 Zhao Zhen <jeremiazhao@tencent.com> - 0.33-1
- initial
